Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Properties | List of all members
AnyParameterReference Class Reference

Parameter reference specifying type. More...

Inheritance diagram for AnyParameterReference:

## Public Member Functions
| AnyParameterReference ()
| Create AnyParameterReference More...
| AnyParameterReference (System.Type parameterType)
| Create AnyParameterReference More...
| AnyParameterReference (ParameterReference parameterReference)
| Create AnyParameterReference More...
bool | SetVariable< TVariable > (TVariable value)
| Set Variable value More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Get Variable value More...

## Properties
System.Type | parameterType`[get, set]`
| Parameter Type More...
int | intValue`[get, set]`
| Value of Int type. More...
long | longValue`[get, set]`
| Value of Long type. More...
float | floatValue`[get, set]`
| Value of Float type. More...
bool | boolValue`[get, set]`
| Value of Bool type. More...
int | enumIntValue`[get, set]`
| int Value of Enum type. More...
System.Enum | enumValue`[get, set]`
| Value of Enum type. More...
Vector2 | vector2Value`[get, set]`
| Value of Vector2 type. More...
Vector3 | vector3Value`[get, set]`
| Value of Vector3 type. More...
Rect | rectValue`[get, set]`
| Value of Rect type. More...
Bounds | boundsValue`[get, set]`
| Value of Bounds type. More...
Color | colorValue`[get, set]`
| Value of Bounds type. More...
GameObject | gameObjectValue`[get, set]`
| Value of Bounds type. More...
Component | componentValue`[get, set]`
| Value of Component type. More...
Transform | transformValue`[get, set]`
| Value of Transform type. More...
RectTransform | rectTransformValue`[get, set]`
| Value of RectTransform type. More...
Rigidbody | rigidbodyValue`[get, set]`
| Value of Rigidbody type. More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Value of Rigidbody2D type. More...
object | variableValue`[get, set]`
| Value of Variable type. More...
object | value`[get, set]`
| Get values according to type. More...
Properties inherited from ParameterReference
ParameterReferenceType | type`[get]`
| Reference type of ParameterContainer More...
ParameterContainerBase | container`[get, set]`
| Is stored to that container. More...
virtual Parameter.? Type | referenceType`[get]`
| Returns the Parameter.Type to be referenced. More...
Parameter? | parameter`[get]`
| Get the parameters. More...

## Additional Inherited Members
Public Attributes inherited from ParameterReference
int | id
| ID. More...
string | name
| Paramenter name. More...

## Detailed Description

Parameter reference specifying type.

Available Attributes :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ AnyParameterReference() [1/3]

AnyParameterReference | ( |  | ) |

Create AnyParameterReference

## ◆ AnyParameterReference() [2/3]

AnyParameterReference | ( | System.Type | parameterType | ) |

Create AnyParameterReference

Parameters

  parameterType | Parameter Type

## ◆ AnyParameterReference() [3/3]

AnyParameterReference | ( | ParameterReference | parameterReference | ) |

Create AnyParameterReference

Parameters

  parameterReference | Copy Source ParameterReference

## Member Function Documentation

## ◆ GetVariable< TVariable >()

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Set Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## Property Documentation

## ◆ boolValue

bool boolValue
| get set

Value of Bool type.

## ◆ boundsValue

Bounds boundsValue
| get set

Value of Bounds type.

## ◆ colorValue

Color colorValue
| get set

Value of Bounds type.

## ◆ componentValue

Component componentValue
| get set

Value of Component type.

## ◆ enumIntValue

int enumIntValue
| get set

int Value of Enum type.

## ◆ enumValue

System.Enum enumValue
| get set

Value of Enum type.

## ◆ floatValue

float floatValue
| get set

Value of Float type.

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

Value of Bounds type.

## ◆ intValue

int intValue
| get set

Value of Int type.

## ◆ longValue

long longValue
| get set

Value of Long type.

## ◆ parameterType

System.Type parameterType
| get set

Parameter Type

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

Value of RectTransform type.

## ◆ rectValue

Rect rectValue
| get set

Value of Rect type.

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Value of Rigidbody2D type.

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Value of Rigidbody type.

## ◆ transformValue

Transform transformValue
| get set

Value of Transform type.

## ◆ value

object value
| get set

Get values according to type.

## ◆ variableValue

object variableValue
| get set

Value of Variable type.

## ◆ vector2Value

Vector2 vector2Value
| get set

Value of Vector2 type.

## ◆ vector3Value

Vector3 vector3Value
| get set

Value of Vector3 type.